<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Story 9</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    
    <body>
        <div class="container" style=" padding: 30px;">
            <div class="col-md-6 col-md-offset-3">     
                <div class="row">
                    <div id="logo" class="text-center">
                        <h1>Search your book here!</h1>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <input id="myInput" class="form-control" type="text" placeholder="Search here ..." required/>
                                <span class="input-group-btn">
                                    <button class="btn btn-success" id="Search">Search</button>
                                </span>
                        </div>
                    </div>
                </div>            
            </div>
            <p></p>
            <div class="row">
                <table class="table table-bordered" id="demo">
                </table>
            </div>
        </div>

        <script>
            var place
            var like_list
            var like_button
            var ourData
            var btn

            window.onload = function() {
                btn = document.getElementById("Search")
                place = document.getElementById("demo");
            
                btn.addEventListener("click", function(){
                    like_list = {
                        0 : 0, 
                        1 : 0,
                        2 : 0,
                        3 : 0,
                        4 : 0,
                        5 : 0,
                        6 : 0,
                        7 : 0,
                        8 : 0,
                        9 : 0,
                    }
            
                    var ourRequest = new XMLHttpRequest();
                    var inputval= document.getElementById("myInput").value;
                    ourRequest.open('GET', 'https://www.googleapis.com/books/v1/volumes?q='+inputval)
                    
                    ourRequest.onload= function () {
                        ourData = JSON.parse(ourRequest.responseText)
                        try{
                            renderHTML(ourData)
                        }
                        catch (err){
                            
                        }
                    };
                    ourRequest.send()
            
                })
            }   
            
                function NoAuthor(author) {
                    if (author == undefined){
                        return "Author Not Found"
                    }
                    else
                        return author
                }
                
                function renderHTML(data) {
                    var table="<thead><tr><th>Cover</th><th>Description</th></tr></thead><tbody>";

                    for (i = 0; i < data.items.length; i++) {
                        const image = data.items[i].volumeInfo.imageLinks.smallThumbnail
                        const title = data.items[i].volumeInfo.title
                        const author = NoAuthor(data.items[i].volumeInfo.authors)
                        const publisher = data.items[i].volumeInfo.publisher
                        const date_pub = data.items[i].volumeInfo.publishedDate
                        const desc = data.items[i].volumeInfo.description
                        const prev_link = data.items[i].volumeInfo.previewLink
                        const info_link = data.items[i].volumeInfo.infoLink

                        table += "<tr><td>" + 
                        "<img src='"+ image +"'>"+ "</td><td>" +
                        "<b>Title:</b> "+title+"<br>"+
                        "<b>Author:</b> "+author+"<br>"+
                        "<b>Publisher:</b> "+publisher+"<br>"+
                        "<b>Published Date:</b> "+date_pub+"<br>"+
                        "<b>Description:</b> "+desc+"<br>"+
                        "<b>Preview Link:</b> "+prev_link+"<br>"+
                        "<b>Info Link:</b> "+info_link
                        + "</td>";
                        
                        table += "<td style='text-align : center;'><button class='btn btn-default btn-sm' onclick='save"+ i +"()' name='like'>Like</button>" + like_list[i]   
                        +"</td></tr>";
                    }
                    table += "</tbody>" 
                    place.innerHTML = table;
                        
                }

                function AuthorHandling(author) {
                    if (author == undefined){
                        var AuthorArray = ["Author Not Found"]
                        return AuthorArray
                    }
                    else
                        return author
                }
            
                // SAVE FUNCTIONS FOR THE BUTTONS --------------------------------------------
                function save0(evt) {
                    like_list[0]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[0].volumeInfo.title,
                        author : AuthorHandling(ourData.items[0].volumeInfo.authors),
                        likes: like_list[0]
                    },
                    type: 'POST'})
                }
            
                function save1(evt) {
                    like_list[1]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[1].volumeInfo.title,
                        author : AuthorHandling(ourData.items[1].volumeInfo.authors),
                        likes: like_list[1]
                    },
                    type: 'POST'})
                }
            
                function save2(evt) {
                    like_list[2]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[2].volumeInfo.title,
                        author : AuthorHandling(ourData.items[2].volumeInfo.authors),
                        likes: like_list[2]
                    },
                    type: 'POST'})
                }
            
                function save3(evt) {
                    like_list[3]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[3].volumeInfo.title,
                        author : AuthorHandling(ourData.items[3].volumeInfo.authors),
                        likes: like_list[3]
                    },
                    type: 'POST'})
                }
            
                function save4(evt) {
                    like_list[4]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[4].volumeInfo.title,
                        author : AuthorHandling(ourData.items[4].volumeInfo.authors),
                        likes: like_list[4]
                    },
                    type: 'POST'})
                }
            
                function save5(evt) {
                    like_list[5]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[5].volumeInfo.title,
                        author : AuthorHandling(ourData.items[5].volumeInfo.authors),
                        likes: like_list[5]
                    },
                    type: 'POST'})
                }
            
                function save6(evt) {
                    like_list[6]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[6].volumeInfo.title,
                        author : AuthorHandling(ourData.items[6].volumeInfo.authors),
                        likes: like_list[6]
                    },
                    type: 'POST'})
                }
            
                function save7(evt) {
                    like_list[7]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[7].volumeInfo.title,
                        author : AuthorHandling(ourData.items[7].volumeInfo.authors),
                        likes: like_list[7]
                    },
                    type: 'POST'})
                }
            
                function save8(evt) {
                    like_list[8]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[8].volumeInfo.title,
                        author : AuthorHandling(ourData.items[8].volumeInfo.authors),
                        likes: like_list[8]
                    },
                    type: 'POST'})
                }
            
                function save9(evt) {
                    like_list[9]++
                    renderHTML(ourData)
                $.ajax({
                    url: '/',
                    data: {
                        title: ourData.items[9].volumeInfo.title,
                        author : AuthorHandling(ourData.items[9].volumeInfo.authors),
                        likes: like_list[9]
                    },
                    type: 'POST'})
                }
                // SAVE FUNCTIONS FOR THE BUTTONS --------------------------------------------            
            </script>

    </body>
</html>